package com.sksamuel.scoot.soa

import javax.servlet.http.HttpServletResponse

/** @author Stephen Samuel */
class HttpStatusException(val status: Int, val message: Option[String]) extends RuntimeException
object NotFoundException extends HttpStatusException(404, None)
object InternalErrorException extends HttpStatusException(500, None)
object ForbiddenException extends HttpStatusException(HttpServletResponse.SC_FORBIDDEN, None)
object UnauthorizedException extends HttpStatusException(HttpServletResponse.SC_UNAUTHORIZED, None)