package com.sksamuel.scoot.rest.jersey.cache;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * @author Stephen Samuel
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface CachedResource {

    int timeToLiveSeconds() default 60;

    int maxHeapSizeMb() default 20;

    String cacheName() default "resourceCache";
}
